Package org.apache.lucene.internal.hppc

## Class IntDoubleHashMap.KeysContainer

- java.lang.Object
- - org.apache.lucene.internal.hppc.IntDoubleHashMap.KeysContainer

- All Implemented Interfaces:
    `Iterable<IntCursor>`
  Enclosing class:
    IntDoubleHashMap

      public final class IntDoubleHashMap.KeysContainer
      extends Object
      implements Iterable<IntCursor>

  A view of the keys inside this hash map.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeysContainer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<IntCursor>` | `iterator()` |
    `int` | `size()` |
    `int[]` | `toArray()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### KeysContainer

          public KeysContainer()

  - ### Method Detail

    - #### iterator

          public Iterator<IntCursor> iterator()

      Specified by:
        `iterator` in interface `Iterable<IntCursor>`

    - #### size

          public int size()

    - #### toArray

          public int[] toArray()